Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
minmax.hpp File Reference

## Typedefs
template<typename T >
using | ranges::minmax_result = detail::min_max_result< T, T >

## Functions
template<typename Rng , typename C = less, typename P = identity>
constexpr minmax_result< range_value_t< Rng > > | ranges::minmax (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename T , typename C = less, typename P = identity>
constexpr minmax_result< T > | ranges::minmax (std::initializer_list< T > const &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename T , typename C = less, typename P = identity>
constexpr minmax_result< T const & > | ranges::minmax (T const &a, T const &b, C pred=C{}, P proj=P{})
| function template `minmax` More...